---@meta

---@class ABP_Interactable_BridgingLadder_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field StaticMesh2 UStaticMeshComponent
---@field StaticMesh1 UStaticMeshComponent
---@field Level int32
local ABP_Interactable_BridgingLadder_C = {}

---@param Success boolean
function ABP_Interactable_BridgingLadder_C:ShouldUseHoldTransform(Success) end
function ABP_Interactable_BridgingLadder_C:UpdateLadderPosition() end
function ABP_Interactable_BridgingLadder_C:OnRep_Level() end
---@param Success boolean
function ABP_Interactable_BridgingLadder_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_BridgingLadder_C:SetPickedUpPhysicsState(Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_BridgingLadder_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_BridgingLadder_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Increment int32
function ABP_Interactable_BridgingLadder_C:UpdateLadder(Increment) end
---@param EntryPoint int32
function ABP_Interactable_BridgingLadder_C:ExecuteUbergraph_BP_Interactable_BridgingLadder(EntryPoint) end


